<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) ENPC - Jean-Philippe Chancelier
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="dragrect">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>dragrect</refname>
    <refpurpose> Drag rectangle(s) with mouse</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[final_rect,btn]=dragrect(initial_rect)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>initial_rect</term>
        <listitem>
          <para>4 4xn matrix containing the initial rectangles definition. Each column contains [x_left; y_top; width; height]. If only one rectangle is present the initial_rect may also be a vector.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>final_rect</term>
        <listitem>
          <para>a rectangle defined by [x_left, y_top, width, height]</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>btn</term>
        <listitem>
          <para>an integer, the number of the mouse button clicked</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>dragrect</literal> drags one or more rectangles anywhere on the screen. The 4xn
    matrix rect defines the rectangles. Each column of <literal>initial_rect</literal>
    must contain the initial rectangle position as [left;top;width;height]
    values. When a button is clicked <literal>dragrect</literal> returns the final
    rectangles definition  in <literal>final_Rect</literal>.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
xsetech(frect=[0,0,100,100])
r=dragrect([10;10;30;10])
xrect(r)
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="xrect">xrect</link>
      </member>
      <member>
        <link linkend="xrects">xrects</link>
      </member>
      <member>
        <link linkend="xclick">xclick</link>
      </member>
      <member>
        <link linkend="xgetmouse">xgetmouse</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
